<inp2:adm_SetPopupSize width="1000" height="680"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="p" section="in-portal:browse" pagination="1" pagination_prefix="pr" grid="Access" title_preset="access" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('p','<inp2:p_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('p','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('p', '<inp2:p_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('p', '<inp2:p_NextId/>');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );


//				a_toolbar.AddButton( new ToolBarSeparator('sep3') );
				//Pricing related:
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewPricing" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_new_item('pr', 'in-commerce/products/access_pricing_edit')
						} ) );

				function edit()
  				{
  					std_edit_temp_item('pr', 'in-commerce/products/access_pricing_edit');
  				}

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('pr')
						} ) );

				a_toolbar.AddButton( new ToolBarButton('setprimary', '<inp2:m_phrase label="la_ToolTip_SetPrimary" escape="1"/>', function() {
							submit_event('pr','OnSetPrimary');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="p_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
//					a_toolbar.HideButton('sep1');
					a_toolbar.HideButton('sep2');
				<inp2:m_else/>
					<inp2:m_if check="p_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="p_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="pr" grid="Access"/>
	</tr>
</tbody>
</table>

<div id="scroll_container" mode="minimal">
	<table class="edit-form" style="border-bottom: 1px solid black;">
		<inp2:m_RenderElement name="subsection" title="!la_section_Product!"/>

			<inp2:m_RenderElement name="inp_edit_options" prefix="p" field="AccessGroupId" title="la_fld_AccessGroup" size="4"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="p" field="IsRecurringBilling" title="la_fld_IsRecurringBilling"/>
			<!-- <inp2:m_RenderElement name="inp_edit_checkbox" prefix="p" field="PayPalRecurring" title="la_fld_IsPayPalRecurring"/> -->

			<!-- <inp2:m_RenderElement name="inp_edit_box" prefix="p" field="AccessDuration" title="!la_fld_AccessDuration!" size="4" /> -->
			<!-- <inp2:m_RenderElement name="inp_edit_options" prefix="p" field="AccessDurationType" title="!la_fld_AccessDurationType!" size="20"/> -->
			<!-- <inp2:m_RenderElement name="inp_edit_date_time" prefix="p" field="AccessStart" title="!la_fld_AccessStart!" size="10" /> -->
			<!-- <inp2:m_RenderElement name="inp_edit_date_time" prefix="p" field="AccessEnd" title="!la_fld_AccessEnd!" size="10" /> -->
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_RenderElement name="grid" PrefixSpecial="pr" IdField="PriceId" grid="Access" />

<script type="text/javascript">
	Grids['pr'].SetDependantToolbarButtons( new Array('edit','delete', 'setprimary') );
</script>

<inp2:m_include t="incs/footer"/>